Manglik Dosha API
Navigate the realm of relationships with the Manglik Dosha API, providing insights into the astrological influence of Mars and its impact on partnerships within the context of Indian Astrology.
Step by Step Manglik Dosha API Postman Testing Integration
Testing Kundali API - Manglik Dosha API using Postman
Supported Language Codes
Support Article URL: Translating an Indian Vedic API into a Different Language
| Language | Code |
|---|---|
| English | en |
| Hindi | hi |
| Bengali | bn |
| Marathi | ma |
| Tamil | tm |
| Telugu | tl |
| Malayalam | ml |
| Kannada | kn |
Guide: These languages are supported by this API. You can specify the desired language by passing the key "lan" in the request body. The default language is 'en'.
API Endpoint
POST https://astroapi-3.divineapi.com/indian-api/v2/manglik-dosha
Returns the Manglik Dosha information in response.
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | String | Your API Access Token. Example: Bearer {token} |
Request Body
| Name | Type | Description |
|---|---|---|
| api_key | String | Your API key |
| full_name | String | Full name, e.g., Rahul kumar |
| day | Integer | Date of birth, e.g., 24 |
| month | Integer | Month of birth, e.g., 05 |
| year | Integer | Year of birth, e.g., 2023 |
| hour | Integer | Hour, e.g., 14 |
| min | Integer | Minute, e.g., 40 |
| sec | Integer | Second, e.g., 43 |
| gender | String | Gender, e.g., male |
| place | String | Place of birth, e.g., New Delhi |
| lat | Float | Latitude, e.g., 28.7041 |
| lon | Float | Longitude, e.g., 77.1025 |
| tzone | Float | Timezone, e.g., 5.5 (Timezone Guide) |
| lan | String | Language code (optional). Default is 'en'. |
Example Responses
200: OK — Manglik Dosha Fetched Successfully
// response if manglik_dosha is false
{
"success": 1,
"data": {
"manglik_dosha": "No",
"strength": "No",
"percentage": 0,
"remedies": [],
"comment": []
}
}
// response if manglik_dosha is true
{
"success": 1,
"data": {
"manglik_dosha": "Yes",
"strength": "Low",
"percentage": 13.71,
"remedies": [
"Chant the beej mantra of Mangal \"ॐ क्रां क्रीं क्रौं सः भौमाय नमः\" 108 times daily on the coral beads.",
"Donate Masoor Dal to construction labourers.",
"Feed Gur-Chana (Jaggery mixed with chickpeas) to monkeys.",
"Visit Hanuman Temple on Tuesday and recite Hanuman Chalisa.",
"Do not build a new house before marriage."
],
"comment": []
}
}
// response if manglik_dosha is true and mars is in 2nd house
{
"success": 1,
"data": {
"manglik_dosha": "Yes (May be)",
"strength": "Medium",
"percentage": 45.14,
"remedies": [
"Chant the beej mantra of Mangal \"ॐ क्रां क्रीं क्रौं सः भौमाय नमः\" 108 times daily on the coral beads.",
"Donate Masoor Dal to construction labourers.",
"Feed Gur-Chana (Jaggery mixed with chickpeas) to monkeys.",
"Visit Hanuman Temple on Tuesday and recite Hanuman Chalisa.",
"Do not build a new house before marriage."
],
"comment": [
"Astrologer's discretion required for second house mars.",
"Since second house in the horoscope is also considered eighth of the seventh counted anticlockwise, therefore it becomes crucial to predict the sudden and uncalled events related to the wellbeing of the spouse. For this reason some astrologers believe second house placement of the Mars as Manglik Dosha."
]
}
}
Take a look at how you might call this method via cURL, NodeJS or JavaScript jQuery AJAX and Python:
cURL Example:
curl --location 'https://astroapi-3.divineapi.com/indian-api/v2/manglik-dosha' \
--header 'Authorization: Bearer {Your Auth Token}' \
--form 'api_key="{Your API Key}"' \
--form 'full_name="Rahul kumar"' \
--form 'day="24"' \
--form 'month="05"' \
--form 'year="2023"' \
--form 'hour="14"' \
--form 'min="40"' \
--form 'sec="43"' \
--form 'gender="male"' \
--form 'place="New Delhi "' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'lan="en"'NodeJS Example:
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://astroapi-3.divineapi.com/indian-api/v2/manglik-dosha',
'headers': {
'Authorization': 'Bearer {Your Auth Token}'
},
formData: {
'api_key': '{Your API Key}',
'full_name': 'Rahul kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi ',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
JavaScript jQuery AJAX Example:
var form = new FormData();
form.append("api_key", "{Your API Key}");
form.append("full_name", "Rahul kumar");
form.append("day", "24");
form.append("month", "05");
form.append("year", "2023");
form.append("hour", "14");
form.append("min", "40");
form.append("sec", "43");
form.append("gender", "male");
form.append("place", "New Delhi ");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("lan", "en");
var settings = {
"url": "https://astroapi-3.divineapi.com/indian-api/v2/manglik-dosha",
"method": "POST",
"timeout": 0,
"headers": {
"Authorization": "Bearer {Your Auth Token}"
},
"processData": false,
"mimeType": "multipart/form-data",
"contentType": false,
"data": form
};
$.ajax(settings).done(function (response) {
console.log(response);
});
Python Example:
import requests
url = "https://astroapi-3.divineapi.com/indian-api/v2/manglik-dosha"
payload = {'api_key': '{Your API Key}',
'full_name': 'Rahul kumar',
'day': '24',
'month': '05',
'year': '2023',
'hour': '14',
'min': '40',
'sec': '43',
'gender': 'male',
'place': 'New Delhi ',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'lan': 'en'}
headers = {
'Authorization': 'Bearer {Your Auth Token}'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)